clang-tools 6.0.0

Public Member Functions | List of all members
clang::tidy::readability::SimplifyBooleanExprCheck::Visitor Class Reference
Inheritance diagram for clang::tidy::readability::SimplifyBooleanExprCheck::Visitor:
[legend]
Collaboration diagram for clang::tidy::readability::SimplifyBooleanExprCheck::Visitor:
[legend]

## Public Member Functions
| Visitor (SimplifyBooleanExprCheck *Check, const MatchFinder::MatchResult &Result)
bool | VisitBinaryOperator (BinaryOperator *Op)

## Detailed Description

Definition at line 318 of file SimplifyBooleanExprCheck.cpp.

## Constructor & Destructor Documentation

## ◆ Visitor()

clang::tidy::readability::SimplifyBooleanExprCheck::Visitor::Visitor | ( | SimplifyBooleanExprCheck * | Check,
|  | const MatchFinder::MatchResult & | Result
| ) |  |
| inline

Definition at line 322 of file SimplifyBooleanExprCheck.cpp.

## Member Function Documentation

## ◆ VisitBinaryOperator()

bool clang::tidy::readability::SimplifyBooleanExprCheck::Visitor::VisitBinaryOperator | ( | BinaryOperator * | Op | ) |
| inline

Definition at line 326 of file SimplifyBooleanExprCheck.cpp.

The documentation for this class was generated from the following file:

- SimplifyBooleanExprCheck.cpp